Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06413 Interface Major Always Oct 26, 2016, 08:51 Nov 7, 2016, 21:21
Tester Scagazza View Status Public Platform SDLMAME
Assigned To crazyc Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver
Version 0.179 Fixed in Version 0.180 Build 64-bit
Summary 06413: CONSOLE: Does nothing but allow "EXIT"
Description The games don't start both with command line and using a frontend like qmc2.
I had to set console 0 in the ini to solve the problem.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems CONSOLE
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.13291
Tafoid
Administrator
Oct 26, 2016, 14:00
Uh.. this is a pretty vague report and very likely a configuration error or build error on your side. Not sure what to say to troubleshoot it other than try rebuilding (or acquire a binary from someone else) and use MAME in a clean folder.

User avatar
No.13292
Robbbert
Developer
Oct 26, 2016, 15:19
If you set console to 1 it says:

C:\MAME>mame
    _/ _/ _/_/ _/ _/ _/_/_/_/
   _/_/ _/_/ _/ _/ _/_/ _/_/ _/
  _/ _/ _/ _/_/_/_/ _/ _/ _/ _/_/_/
 _/ _/ _/ _/ _/ _/ _/
_/ _/ _/ _/ _/ _/ _/_/_/_/

MAME v0.178 (unknown)
Copyright Nicola Salmoria and the MAME team

[MAME]> help
Unknown command: help
[MAME]> run
Unknown command: run
[MAME]> start
Unknown command: start
[MAME]> sf2
Unknown command: sf2
[MAME]> exit
Exiting application


It's a new thing that Micko is (was?) working on.
User avatar
No.13293
Tafoid
Administrator
Oct 26, 2016, 20:45
Ok. I'm assuming that is the LUA console? Yes, still experimental and very WIP. .. not even expected to do anything.
I'd continue on as if it did not exist and keeping CONSOLE at its default value of 0.
User avatar
No.13306
Scagazza
Tester
Nov 1, 2016, 18:06
I wonder why createconfig creates an ini with console enabled by default if it is experimental.
User avatar
No.13307
Tafoid
Administrator
Nov 2, 2016, 03:41
edited on: Nov 2, 2016, 03:42
-createconfig isn't 1 in my .ini - not sure where it is getting picked up from but keep in mind that when you -creatreconfig, it takes your current .ini settings already changed and doesn't reset them - only adding the missing entries.
If you want a completely clean mame.ini, move MAME to a fresh folder and issue a -cc there. You will notice that console 0 will be the default. I'm only speaking with Windows usage. If someone can prove SDL is setting it 1 by default, that would be good to know.

User avatar
No.13326
crazyc
Developer
Nov 7, 2016, 21:21
The console has been replaced with a Lua plugin that can be started with -plugin console. Like the old console any Lua commands can be entered into it with some improvements.